# Generate bin files
%global with_build 0
%if ! %{with_build}
%global debug_package %{nil}
%endif

%global goipath         github.com/alecthomas/chroma
Version:                0.6.3

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        A general purpose syntax highlighter in pure Go
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%if %{with_build}
BuildRequires:  golang(github.com/aymerick/douceur/css)
BuildRequires:  golang(github.com/aymerick/douceur/parser)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v3-unstable)
%endif

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/danwakefield/fnmatch)
BuildRequires: golang(github.com/dlclark/regexp2)
BuildRequires: golang(github.com/alecthomas/assert)

%description devel
%{summary}

This package contains library source intended for building other packages
which use import path with %{goipath} prefix.


%prep
%forgeautosetup -p1


%if 0%{?with_build}
%build
%gobuildroot
%gobuild -o _bin/css2style %{goipath}/_tools/css2style
%gobuild -o _bin/exercise %{goipath}/_tools/exercise
%gobuild -o _bin/chroma %{goipath}/cmd/chroma
%endif


%install
%goinstall
%if 0%{?with_build}
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 _bin/css2style %%{buildroot}%%{_bindir}
install -p -m 0755 _bin/exercise %%{buildroot}%%{_bindir}
install -p -m 0755 _bin/chroma %{buildroot}%{_bindir}
%endif # with_build


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license COPYING


%changelog
* Wed Apr 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.3-1
- Update to latest version

* Tue Feb 19 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6.2-1
- Update to latest version
- Rewrite spec using new Go macros

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-7.20171017git03b0c0d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-6.20171017git03b0c0d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-5.20171017git03b0c0d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Oct 21 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.1.1-4.20171017git03b0c0d
- Disabling check until github.com/alecthomas/assert hits rawhide

* Sat Oct 21 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.1.1-3.20171017git03b0c0d
- Update to latest revision

* Sat Oct 14 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.1.1-2
- Fix build paths for exercise and css2style
- Add BR for gopkg.in/alecthomas/kingpin.v3
- Do not build bin files until kingpin v3 is released

* Wed Oct 11 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.1.1-1
- First package for Fedora
